Ulsav Docs

Authentication

POST
/api/v1/auth/host-authorizations

Request Body

application/json
  1. body
audienceHost*string
callbackUrl*string
clientId*string
pkceChallenge*string
state*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
callbackUrl*string
code*string
expiresAt*string
Formatdate-time
state*string
Example Request
curl -X POST 'https://example.com/api/v1/auth/host-authorizations' \  -H 'Content-Type: application/json' \  -d '{  "audienceHost": "string",  "callbackUrl": "string",  "clientId": "string",  "pkceChallenge": "string",  "state": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/HostAuthorization.json",  "callbackUrl": "string",  "code": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "state": "string"}
POST
/api/v1/auth/host-exchanges

Request Body

application/json
  1. body
callbackUrl*string
clientId*string
code*string
verifier*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
avatarPath?string
avatarUrl?string
complete*boolean
createdAt*string
Formatdate-time
dateOfBirth?string
displayName*string
gender?string
id*string
identities*array<>|null
missingIdentities?array<string>|null
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/auth/host-exchanges' \  -H 'Content-Type: application/json' \  -d '{  "callbackUrl": "string",  "clientId": "string",  "code": "string",  "verifier": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/AccountResponse.json",  "avatarPath": "string",  "avatarUrl": "string",  "complete": true,  "createdAt": "2019-08-24T14:15:22Z",  "dateOfBirth": "string",  "displayName": "string",  "gender": "string",  "id": "string",  "identities": [    {      "id": "string",      "issuer": "string",      "kind": "string",      "value": "string",      "verifiedAt": "2019-08-24T14:15:22Z"    }  ],  "missingIdentities": [    "string"  ],  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/api/v1/auth/logout

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
endSessionUrl?string
ok*boolean
Example Request
curl -X POST 'https://example.com/api/v1/auth/logout'
Example Response
{  "$schema": "https://example.com/schemas/LogoutOutputBody.json",  "endSessionUrl": "string",  "ok": true}
GET
/api/v1/auth/oauth/{provider}/callback

Path Parameters

provider*string

Query Parameters

state*string
code*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
Example Request
curl -X GET 'https://example.com/api/v1/auth/oauth/string/callback?state=string&code=string'
Example Response
{  "$schema": "https://example.com/schemas/OauthCallbackOutputBody.json"}
POST
/api/v1/auth/oauth/{provider}/start

Path Parameters

provider*string

Query Parameters

returnTo?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
authorizationUrl*string
state*string
Example Request
curl -X POST 'https://example.com/api/v1/auth/oauth/string/start'
Example Response
{  "$schema": "https://example.com/schemas/OAuthStart.json",  "authorizationUrl": "string",  "state": "string"}
GET
/api/v1/auth/org-sso/callback

Query Parameters

state*string
code*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
Example Request
curl -X GET 'https://example.com/api/v1/auth/org-sso/callback?state=string&code=string'
Example Response
{  "$schema": "https://example.com/schemas/OauthCallbackOutputBody.json"}
GET
/api/v1/auth/org-sso/provider

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
buttonLabel*string
organizationId*string
providerId*string
providerType*string
Example Request
curl -X GET 'https://example.com/api/v1/auth/org-sso/provider'
Example Response
{  "$schema": "https://example.com/schemas/OrgSSOProviderOutputBody.json",  "buttonLabel": "string",  "organizationId": "string",  "providerId": "string",  "providerType": "string"}
POST
/api/v1/auth/org-sso/saml/acs

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
Example Request
curl -X POST 'https://example.com/api/v1/auth/org-sso/saml/acs'
Example Response
{  "$schema": "https://example.com/schemas/OauthCallbackOutputBody.json"}

SAML SP metadata

GET
/api/v1/auth/org-sso/saml/metadata

Response Body

OK

Example Request
curl -X GET 'https://example.com/api/v1/auth/org-sso/saml/metadata'
Example Response
Empty
POST
/api/v1/auth/org-sso/start

Request Body

application/json
  1. body
organizationId?string
providerId?string
returnTo?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
authorizationUrl*string
state*string
Example Request
curl -X POST 'https://example.com/api/v1/auth/org-sso/start' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/OAuthStart.json",  "authorizationUrl": "string",  "state": "string"}
POST
/api/v1/auth/otp/challenges

Request Body

application/json
  1. body
channel*string
kind*string
value*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
destination*string
expiresAt*string
Formatdate-time
id*string
kind*string
resendAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/auth/otp/challenges' \  -H 'Content-Type: application/json' \  -d '{  "channel": "string",  "kind": "string",  "value": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/ChallengeResponse.json",  "destination": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "id": "string",  "kind": "string",  "resendAt": "2019-08-24T14:15:22Z"}
POST
/api/v1/auth/otp/challenges/{challengeId}/resend

Path Parameters

challengeId*string

Request Body

application/json
  1. body
channel*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
destination*string
expiresAt*string
Formatdate-time
id*string
kind*string
resendAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/auth/otp/challenges/string/resend' \  -H 'Content-Type: application/json' \  -d '{  "channel": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/ChallengeResponse.json",  "destination": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "id": "string",  "kind": "string",  "resendAt": "2019-08-24T14:15:22Z"}
POST
/api/v1/auth/otp/verifications

Request Body

application/json
  1. body
challengeId*string
code*string
Length6 <= length <= 6

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
avatarPath?string
avatarUrl?string
complete*boolean
createdAt*string
Formatdate-time
dateOfBirth?string
displayName*string
gender?string
id*string
identities*array<>|null
missingIdentities?array<string>|null
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/auth/otp/verifications' \  -H 'Content-Type: application/json' \  -d '{  "challengeId": "string",  "code": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/AccountResponse.json",  "avatarPath": "string",  "avatarUrl": "string",  "complete": true,  "createdAt": "2019-08-24T14:15:22Z",  "dateOfBirth": "string",  "displayName": "string",  "gender": "string",  "id": "string",  "identities": [    {      "id": "string",      "issuer": "string",      "kind": "string",      "value": "string",      "verifiedAt": "2019-08-24T14:15:22Z"    }  ],  "missingIdentities": [    "string"  ],  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/api/v1/auth/refresh

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
ok*boolean
Example Request
curl -X POST 'https://example.com/api/v1/auth/refresh'
Example Response
{  "$schema": "https://example.com/schemas/OkOutputBody.json",  "ok": true}